import EMEquipEQNumPie from '@/widgets/emequip/eqnum-pie-portlet/eqnum-pie-portlet.vue';
import EMEQSpareMainView9 from '@/widgets/emeqspare/main-view9-portlet/main-view9-portlet.vue';
import EMWOYearWoTrend from '@/widgets/emwo/year-wo-trend-portlet/year-wo-trend-portlet.vue';
import EMStockStoclCntBar from '@/widgets/emstock/stocl-cnt-bar-portlet/stocl-cnt-bar-portlet.vue';
import EMEQSpareMapGridView9 from '@/widgets/emeqspare-map/grid-view9-portlet/grid-view9-portlet.vue';
import EMEQSpareDetailGridView9 from '@/widgets/emeqspare-detail/grid-view9-portlet/grid-view9-portlet.vue';
import EMWPListWpAmountFunnel from '@/widgets/emwplist/wp-amount-funnel-portlet/wp-amount-funnel-portlet.vue';
import EMPODetailPeDetailLine from '@/widgets/empodetail/pe-detail-line-portlet/pe-detail-line-portlet.vue';

export const  PortletComponent = {
    install(v: any, opt: any) {
        v.component('app-emequip-eqnum-pie-portlet', EMEquipEQNumPie);
        v.component('app-emeqspare-main-view9-portlet', EMEQSpareMainView9);
        v.component('app-emeqspare-map-grid-view9-portlet', EMEQSpareMapGridView9);
        v.component('app-emeqspare-detail-grid-view9-portlet', EMEQSpareDetailGridView9);
        v.component('app-emwo-year-wo-trend-portlet', EMWOYearWoTrend);
        v.component('app-empodetail-pe-detail-line-portlet', EMPODetailPeDetailLine);
        v.component('app-emstock-stocl-cnt-bar-portlet', EMStockStoclCntBar);
        v.component('app-emwplist-wp-amount-funnel-portlet', EMWPListWpAmountFunnel);
        v.component('emequip-eqnum-pie-portlet', EMEquipEQNumPie);
        v.component('emeqspare-main-view9-portlet', EMEQSpareMainView9);
        v.component('emwo-year-wo-trend-portlet', EMWOYearWoTrend);
        v.component('emstock-stocl-cnt-bar-portlet', EMStockStoclCntBar);
        v.component('emeqspare-map-grid-view9-portlet', EMEQSpareMapGridView9);
        v.component('emeqspare-detail-grid-view9-portlet', EMEQSpareDetailGridView9);
        v.component('emwplist-wp-amount-funnel-portlet', EMWPListWpAmountFunnel);
        v.component('empodetail-pe-detail-line-portlet', EMPODetailPeDetailLine);
    }
};